repo/gentoo:master commit in: dev-python/httpx-socks/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786588323.0e371c4349aad97c6120319277eac028e63e95b5.mgorny@gentoo>
commit:     0e371c4349aad97c6120319277eac028e63e95b5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 02:12:59 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 02:32:03 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e371c43

dev-python/httpx-socks: Bump to 0.13.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/httpx-socks/Manifest                  |  1 +
 dev-python/httpx-socks/httpx-socks-0.13.0.ebuild | 51 ++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/httpx-socks/Manifest b/dev-python/httpx-socks/Manifest
index db04be655d35..fb48a2a7cd6f 100644
--- a/dev-python/httpx-socks/Manifest
+++ b/dev-python/httpx-socks/Manifest
@@ -1,2 +1,3 @@
 DIST httpx-socks-0.11.0.gh.tar.gz 15579 BLAKE2B 33a4112f6f1d1d56869adfcfe79a538ce4fbe99cde44d400fdee93f256a9adf27ee97d22450ff685cad61c8df478b1eca1a3f3a7b804cd087b5bf5fbca3f20f7 SHA512 38b75fc2dd522d58639213ac7c135af7821ad53d3799a028bfd995f9a5e67a251a0d5255105e42790b78edb0450a336dc87fefb1dc67486b13d4271bd98d411e
 DIST httpx-socks-0.12.0.gh.tar.gz 15571 BLAKE2B b261fcc71b286964f4d9691a17bef0df3adad9857484fb2806155cea74fa2dd78258c0a3ac423d910d722bd0e83940bccc64f53b767a3130306d0e09bebdaa3a SHA512 40ce9b3609e4967356315f47b520567cacd072c137231632df61d845d5d17d7dc94895bdab93ec35473cdd244451c889761ee2a63854f11ba4c4bc73551995be
+DIST httpx-socks-0.13.0.gh.tar.gz 178919 BLAKE2B 46e5c497a6849b414493a2c56ff2773a0b5e5e82987dceab83d700c9086ec78a06453b6907aa929407a7c55154a724daaf4d8628c97cfb75e010f25d964c93e2 SHA512 95b4e6d38796ce2d0d887f3cc525b896e1a7bfafa7b285fdb069261cde54fe06c92b52cef6a9cfdf866f9101061ec8c7af89be6198703bcedf00a3faffb0dc07

diff --git a/dev-python/httpx-socks/httpx-socks-0.13.0.ebuild b/dev-python/httpx-socks/httpx-socks-0.13.0.ebuild
new file mode 100644
index 000000000000..690d483e20b8
--- /dev/null
+++ b/dev-python/httpx-socks/httpx-socks-0.13.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="Proxy (HTTP, SOCKS) transports for httpx"
+HOMEPAGE="
+	https://github.com/romis2012/httpx-socks/
+	https://pypi.org/project/httpx-socks/
+"
+# no tests in sdist, as of 0.7.6
+SRC_URI="
+	https://github.com/romis2012/httpx-socks/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+	>=dev-python/httpcore-1.0[${PYTHON_USEDEP}]
+	>=dev-python/python-socks-2.4.3[${PYTHON_USEDEP}]
+	>=dev-python/sniffio-1.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/hypercorn-0.14.3[${PYTHON_USEDEP}]
+		>=dev-python/starlette-0.25.0[${PYTHON_USEDEP}]
+		>=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+		>=dev-python/trio-0.24[${PYTHON_USEDEP}]
+		>=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+		>=dev-python/yarl-1.6.3[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=( anyio pytest-{asyncio,trio} )
+distutils_enable_tests pytest
+
+src_prepare() {
+	# unpin dependencies
+	sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+
+	distutils-r1_src_prepare
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.